%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Plugins for the Eye of GNOME image viewer
Name:     	eog-plugins
Version:	3.4.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL:		http://www.gnome.org/projects/eog/

BuildRequires:  intltool >= 0.40.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.99.3
BuildRequires:  pkgconfig(eog) >= 3.3.6
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 0.7.4
BuildRequires:	pkgconfig(champlain-0.12)
BuildRequires:	pkgconfig(champlain-gtk-0.12)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(libexif) >= 0.6.16
BuildRequires:  pkgconfig(libgdata) >= 0.6.0

# we don't have postr, yet (wally 07/2011)
#BuildRequires:  postr

Requires:	eog

%description
It's a collection of plugins for use with the Eye of GNOME Image Viewer.
The included plugins provide a map view for where the picture was taken,
display of Exif information, Zoom to fit, etc.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

#we don't want these
find %buildroot -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_datadir}/eog/plugins/*
%{_libdir}/eog/plugins/*
%{_datadir}/glib-2.0/schemas/*.xml


%changelog

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226946
- new version 3.4.0
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220314
- new version 3.3.91

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211421
- update file list
- update file list
- br gsettings-desktop-schemas
- bump eog req
- new version 3.3.90

* Thu Feb 09 2012 wally <wally> 3.3.5-1.mga2
+ Revision: 206718
- new version 3.3.5

* Wed Nov 23 2011 wally <wally> 3.2.2-2.mga2
+ Revision: 171409
- rebuild for new clutter

* Tue Nov 22 2011 fwang <fwang> 3.2.2-1.mga2
+ Revision: 170759
- new version 3.2.2

* Thu Oct 20 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156955
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149037
- new version 3.2.0

* Thu Sep 22 2011 fwang <fwang> 3.1.3-1.mga2
+ Revision: 146740
- new version 3.1.3

* Sat Sep 03 2011 wally <wally> 3.1.2-3.mga2
+ Revision: 138181
- clean P0

* Sat Sep 03 2011 wally <wally> 3.1.2-2.mga2
+ Revision: 138161
- rebuild for new champlain
- new version 3.1.2

* Sun Jul 17 2011 wally <wally> 3.1.1-1.mga2
+ Revision: 125421
- new version 3.1.1
- change BRs to pkgconfig style
- change description
- clean .spec
- imported package eog-plugins


* Sat Feb 05 2011 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 636218
- new version
- drop patch

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-3mdv2011.0
+ Revision: 574685
- build with new champlain

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-2mdv2011.0
+ Revision: 551159
- useless release bump
- update to new version 2.30.1

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528948
- update to new version 2.30.0

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509950
- update to new version 2.29.91

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-3mdv2010.1
+ Revision: 506086
- add missing postasa data files
- update description

* Mon Feb 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-2mdv2010.1
+ Revision: 506058
- enable postasa plugin

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 504124
- new version
- update file list

* Tue Jan 12 2010 Götz Waschk <waschk@mandriva.org> 2.29.5-1mdv2010.1
+ Revision: 490061
- update to new version 2.29.5

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.2-1mdv2010.1
+ Revision: 475378
- new version
- update file list

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458858
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446729
- new version
- drop patch

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-2mdv2010.0
+ Revision: 441032
- patch for new libchamplain

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437406
- new version
- drop patches

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-3mdv2010.0
+ Revision: 421368
- replace postr filename patch by upstream version
- fix crash in exif view

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-2mdv2010.0
+ Revision: 420887
- fix call to postr
- update description

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 420838
- import eog-plugins

